CLibrary (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils

## Class CLibrary

- java.lang.Object
- - org.apache.cassandra.utils.CLibrary

-     public final class CLibrary
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getfd(java.nio.channels.FileChannel channel)`
    `static int` | `getfd(java.io.FileDescriptor descriptor)` Get system file descriptor from FileDescriptor object.
    `static int` | `getfd(java.lang.String path)`
    `static boolean` | `jnaAvailable()`
    `static boolean` | `jnaMemoryLockable()`
    `static void` | `tryCloseFD(int fd)`
    `static int` | `tryFcntl(int fd, int command, int flags)`
    `static void` | `tryMlockall()`
    `static int` | `tryOpenDirectory(java.lang.String path)`
    `static void` | `trySkipCache(int fd, long offset, int len)`
    `static void` | `trySkipCache(int fd, long offset, long len)`
    `static void` | `trySkipCache(java.lang.String path, long offset, long len)`
    `static void` | `trySync(int fd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### jnaAvailable

          public static boolean jnaAvailable()

    - #### jnaMemoryLockable

          public static boolean jnaMemoryLockable()

    - #### tryMlockall

          public static void tryMlockall()

    - #### trySkipCache

          public static void trySkipCache(java.lang.String path,
                                          long offset,
                                          long len)

    - #### trySkipCache

          public static void trySkipCache(int fd,
                                          long offset,
                                          long len)

    - #### trySkipCache

          public static void trySkipCache(int fd,
                                          long offset,
                                          int len)

    - #### tryFcntl

          public static int tryFcntl(int fd,
                                     int command,
                                     int flags)

    - #### tryOpenDirectory

          public static int tryOpenDirectory(java.lang.String path)

    - #### trySync

          public static void trySync(int fd)

    - #### tryCloseFD

          public static void tryCloseFD(int fd)

    - #### getfd

          public static int getfd(java.nio.channels.FileChannel channel)

    - #### getfd

          public static int getfd(java.io.FileDescriptor descriptor)

      Get system file descriptor from FileDescriptor object.
      Parameters:
        `descriptor` - - FileDescriptor objec to get fd from
      Returns:
        file descriptor, -1 or error

    - #### getfd

          public static int getfd(java.lang.String path)

Copyright © 2018 The Apache Software Foundation